RFR[12] JDK-8206443: Update security libs manual test to cope with removal of javac -source/-target 6

Xuelei Fan xuelei.fan at oracle.com
Fri Jul 13 13:31:02 UTC 2018


Looks fine to me.

Thanks,
Xuelei

On 7/12/2018 10:39 PM, sha.jiang at oracle.com wrote:
> Hi,
> JDK-8028563 has removed javac support for 6/1.6 source and target, so 
> the following tests has to be updated accordingly.
> javax/net/ssl/compatibility/Compatibility.java
> sun/security/tools/jarsigner/compatibility/Compatibility.java
> 
> In addition, this fix also makes 
> javax/net/ssl/compatibility/Compatibility.java can work with JDK 12 builds.
> 
> Webrev: http://cr.openjdk.java.net/~jjiang/8206443/webrev.00/
> JBS: https://bugs.openjdk.java.net/browse/JDK-8206443
> 
> Best regards,
> John Jiang
> 


More information about the security-dev mailing list